Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Установка hplip зависает  (Прочитано 3860 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн BAKT

  • Автор темы
  • Участник
  • *
  • Сообщений: 112
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #15 : 13 Ноябрь 2019, 10:36:13 »
Ну хоть не у меня одного руки из....
На работе буду только завтра, сразу обязательно попробую. Спасибо.

Оффлайн BAKT

  • Автор темы
  • Участник
  • *
  • Сообщений: 112
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #16 : 14 Ноябрь 2019, 15:17:31 »
MonoLife, чуда не произошло )
Сама машина видит подключенный принтер, а вот hp-setup - нет. (

Пользователь добавил сообщение 14 Ноябрь 2019, 16:03:06:
Dzhoser, к сожалению тут тоже чуда не произошло. apparmor отключил, но установка зависает всё на том же самом месте  ((
« Последнее редактирование: 14 Ноябрь 2019, 16:03:06 от BAKT »

Оффлайн sersiem

  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #17 : 25 Март 2020, 15:43:33 »
Столкнулся с подобной проблемой.
Вместе с системой (из реп) стоит hplip 3.17.10 однако он не видит моего МФУ LaserJet Pro MFP M428fdn поэтому решил скачать с сайта HP hplip 3.20.3 однако он не хочет устанавливаться с ошбкой:
warning: Missing REQUIRED dependency: python-devel (Python devel - Python development files)
warning: This installer cannot install 'python-devel' for your distro/OS and/or version.
error: Installation cannot continue without this dependency. Please manually install this dependency and re-run this installer
Что делаю не так? Устанавливаю по инструкции самого HP: https://developers.hp.com/hp-linux-imaging-and-printing/install/install/index

Оффлайн xub

  • Забанен
  • Активист
  • *
  • Сообщений: 284
  • If it ain't broke, don't fix it
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #18 : 25 Март 2020, 16:05:12 »
Что делаю не так?
Да всё так😞, это не худшая компания по части драйверов под Linux…
Бывает, что с первого раза не удаётся установить… Запасной вариант, если нужно быстро, у меня всегда такой печать через виртуальную Windows. Это, понятное дело, не выход, это решение для экстремального случая😞

Ещё пару раз мне удавалось  установить драйвер из консоли TTY, а из терминала не устанавливался, может совпадение какое  :idiot2: вменяемого объяснения у меня для такого факта нет, его может вообще не быть!

Ну вот есть такая рекомендация https://askubuntu.com/questions/534695/hplip-3-14-10-no-python-devel
только изучите её предварительно!

Прямо в поисковик вводите ваши выводы терминала, может быть есть готовый ответ. „Мы не одиноки по вселенной“ 😈

2020 Mar 25; 09:05 AM
https://webhamster.ru/site/page/index/articles/projectcode/181 LoLo Switcher. Конфигурирование… Рекомендую!!! Кардинально может решить проблемы переключения раскладки…

Оффлайн Пользователь

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2665
  • Runtu XFCE 18.04 (64-bit)
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #19 : 25 Март 2020, 22:35:50 »
warning: Missing REQUIRED dependency: python-devel (Python devel - Python development files)
warning: This installer cannot install 'python-devel' for your distro/OS and/or version.
error: Installation cannot continue without this dependency. Please manually install this dependency and re-run this installer

Просит установить пакет python-dev, потом нужно запустить установку драйвера заново.

Оффлайн sersiem

  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #20 : 26 Март 2020, 09:06:46 »
Просит установить пакет python-dev, потом нужно запустить установку драйвера заново.
Установил... всё-равно чего-то не хватает:
warning: Missing REQUIRED dependency: cups-devel (CUPS devel- Common Unix Printing System development files)
warning: This installer cannot install 'cups-devel' for your distro/OS and/or version.
error: Installation cannot continue without this dependency. Please manually install this dependency and re-run this installer.

Оффлайн xub

  • Забанен
  • Активист
  • *
  • Сообщений: 284
  • If it ain't broke, don't fix it
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #21 : 26 Март 2020, 12:27:58 »
A что, sersiem, напишет если вот так?
↓↓↓                  /home/fjf
sudo apt install cups
[sudo] password for fjf:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cups is already the newest version (2.2.7-1ubuntu2.7).
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Но у меня, как Вы видели cups установлен, а у Вас похоже, что нет…

Вы не стесняйтесь😇, прямо этому Google лоб вводите в адресную строку всю вашу строку с ошибкой. Очень часто совершенно малой кровью можно найти решение!

Только не применяйте мгновенно найденные советы, лучше ещё раз спросите.

2020 Mar 26; 05:27 AM
https://webhamster.ru/site/page/index/articles/projectcode/181 LoLo Switcher. Конфигурирование… Рекомендую!!! Кардинально может решить проблемы переключения раскладки…

Оффлайн Пользователь

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2665
  • Runtu XFCE 18.04 (64-bit)
    • Просмотр профиля
Re: Установка hplip зависает
« Ответ #22 : 26 Март 2020, 15:03:26 »
sudo apt-get updatesudo apt-get install --assume-yes libcups2 cups libcups2-dev cups-bsd cups-client libcupsimage2-dev libdbus-1-dev build-essential ghostscript openssl libjpeg62-dev libsnmp-dev libtool libusb-1.0-0-dev wget python-imaging policykit-1 policykit-1-gnome python-qt4 python-qt4-dbus python-dbus python-gobject python-dev python-notify python python-reportlab libsane libsane-dev sane-utils xsane
Потом установи hplip.

Эти зависимости посмотрел тут
https://developers.hp.com/hp-linux-imaging-and-printing/install/manual/distros/ubuntu
« Последнее редактирование: 26 Март 2020, 15:08:25 от Пользователь »

 

Страница сгенерирована за 0.106 секунд. Запросов: 26.